petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexCreateCubeBoundary

Creates a 2D mesh the is the boundary of a cubic lattice.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateCubeBoundary(DM dm, const PetscReal lower[], const PetscReal upper[], const PetscInt faces[])

Collective on MPI_Comm

### Input Parameters

| comm | - The communicator for the DM object
| lower | - The lower left front corner coordinates
| upper | - The upper right back corner coordinates
| edges | - The number of cells in each direction

### Output Parameter

dm -The DM object

### Keywords

DM, create

### See Also

DMPlexCreateBoxMesh(), DMPlexCreateSquareBoundary(), DMSetType(), DMCreate()

Level:beginner
Location:src/dm/impls/plex/plexcreate.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages